## Class Auth_OpenID_Signatory

Description

Responsible for the signature of query data and the verification of OpenID signature values.

Located in /Auth/OpenID/Server.php (line 1295)

Variable Summary
mixed $dumb_key
mixed $normal_key
mixed $SECRET_LIFETIME
Method Summary
Auth_OpenID_Signatory Auth_OpenID_Signatory ( &$store)
void createAssociation ([ $dumb = true], [ $assoc_type = 'HMAC-SHA1'])
void getAssociation ( $assoc_handle, $dumb, [ $check_expiration = true])
void invalidate ( $assoc_handle, $dumb)
void sign ( $response)
void verify ( $assoc_handle, $message)
Variables
mixed $dumb_key = 'http://localhost/|dumb' (line 1305)
mixed $normal_key = 'http://localhost/|normal' (line 1304)
mixed $SECRET_LIFETIME = 1209600 (line 1298)
Methods
Constructor Auth_OpenID_Signatory (line 1310)

Create a new signatory using a given store.

Auth_OpenID_Signatory Auth_OpenID_Signatory ( &$store)

- &$store

createAssociation (line 1369)

Make a new association.

void createAssociation ([ $dumb = true], [ $assoc_type = 'HMAC-SHA1'])

- $dumb
- $assoc_type

getAssociation (line 1394)

Given an association handle, get the association from the store, or return a ServerError or null if something goes wrong.

void getAssociation ( $assoc_handle, $dumb, [ $check_expiration = true])

- $assoc_handle
- $dumb
- $check_expiration

invalidate (line 1422)

Invalidate a given association handle.

void invalidate ( $assoc_handle, $dumb)

- $assoc_handle
- $dumb

sign (line 1336)

Given a response, sign the fields in the response's 'signed' list, and insert the signature into the response.

void sign ( $response)

- $response

verify (line 1320)

Verify, using a given association handle, a signature with signed key-value pairs from an HTTP request.

void verify ( $assoc_handle, $message)

- $assoc_handle
- $message

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2